## org.jboss.ejb.plugins
Class AbstractInstanceCache.PassivationHelper

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInstanceCache.PassivationHelper

Enclosing class:
  AbstractInstanceCache

protected class AbstractInstanceCache.PassivationHelper
extends java.lang.Object

Helper class that schedules, unschedules, and executes the passivation jobs.

Constructor Summary
`protected` `AbstractInstanceCache.PassivationHelper()`

Method Summary
`protected void` `clear()`
`protected void` `schedule(EnterpriseContext bean)` Creates and schedules a `PassivationJob` for passivation
`protected EnterpriseContext` `unschedule(java.lang.Object id)` Tries to unschedule a job paired with the given context's id

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInstanceCache.PassivationHelper

    protected AbstractInstanceCache.PassivationHelper()

Method Detail

### clear

    protected void clear()

### schedule

    protected void schedule(EnterpriseContext bean)

  Creates and schedules a `PassivationJob` for passivation

### unschedule

    protected EnterpriseContext unschedule(java.lang.Object id)

  Tries to unschedule a job paired with the given context's id
  Returns:
    null if the bean has been passivated, the context paired with the given id otherwise

Copyright © 2000 The JBoss Organization. All Rights Reserved.